List products
GET
/products
Returns a paginated list of products for a site. site_id is required. Requires products:read scope.
Authorizations
BearerAuth
API key in format lm_xxxxxxxxxxxxxxxx. Get your key at app.looma.chat/integrations.
Type
HTTP (bearer)
Parameters
Query Parameters
site_id*
Site ID (required)
Type
Requiredinteger
availability
Type
string
Valid values
"in stock""out of stock"search
Search in title, description
Type
string
sort_by
Sort field
Type
string
sort_order
Type
string
Valid values
"asc""desc"Default
"desc"page
Page number
Type
integer
Minimum
1Default
1per_page
Items per page (max 100)
Type
integer
Minimum
1Maximum
100Default
30Responses
Products list
application/json
JSON
{
"success": true,
"data": [
{
"id": 0,
"product_id": "string",
"item_group_id": "string",
"title": "string",
"link": "string",
"price": 0,
"sale_price": 0,
"final_price": 0,
"currency": "UAH",
"availability": "string",
"image_link": "string",
"additional_image_links": "string",
"is_main": 0,
"orders_count": 0,
"views_count": 0,
"has_ai_description": 0,
"ai_description": "string",
"variants_count": 0,
"params": "string",
"created_at": "string"
}
],
"meta": {
"total": 128,
"total_pages": 5,
"current_page": 1,
"per_page": 30
}
}

